%define oname   database_cleaner

Name:       ruby-%{oname}
Version:    1.5.1
Release:    %mkrel 1
Summary:    Strategies for cleaning databases
License:    MIT
Group:      Development/Ruby
URL:        http://github.com/bmabey/database_cleaner
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Strategies for cleaning databases.  Can be used to ensure a clean state for
testing.

%files
%{gem_instdir}/
%{gem_spec}
%doc README.markdown

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc LICENSE
%doc TODO
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

chmod 644 %{buildroot}%{gem_instdir}/lib/database_cleaner/active_record/truncation.rb


%changelog
* Sun Jan 03 2016 pterjan <pterjan> 1.5.1-1.mga6
+ Revision: 918619
- Update to 1.5.1

* Wed Oct 15 2014 umeabot <umeabot> 0.9.1-10.mga5
+ Revision: 739897
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.1-9.mga5
+ Revision: 688782
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 0.9.1-8.mga4
+ Revision: 561830
- Rebuild to fix provides

* Fri Dec 27 2013 pterjan <pterjan> 0.9.1-7.mga4
+ Revision: 561143
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 0.9.1-6.mga4
+ Revision: 535338
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 0.9.1-5.mga4
+ Revision: 481948
- Rebuild for Ruby 2

* Wed Sep 11 2013 pterjan <pterjan> 0.9.1-4.mga4
+ Revision: 477420
- Use gem_setup
- Fix file list

* Fri Feb 08 2013 umeabot <umeabot> 0.9.1-3.mga3
+ Revision: 395826
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.9.1-2.mga3
+ Revision: 380772
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 0.9.1-1.mga3
+ Revision: 312818
- new version 0.9.2

* Sun Feb 13 2011 shikamaru <shikamaru> 0.5.2-1.mga1
+ Revision: 51336
- imported package ruby-database_cleaner


* Sun Feb 13 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.5.2-1
- Initial package
